apiVersion: v1
kind: Namespace
metadata:
  name: partners
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: hypno
  namespace: partners
spec:
  replicas: 1
  selector:
    matchLabels:
      app: hypno
  template:
    metadata:
      labels:
        app: hypno
    spec:
      containers:
      - name: hypno
        image: registry.gitlab.com/tech-marketing/devsecops/initech/partners/hypnotherapy-services/main:latest
        ports:
        - containerPort: 8091
---
apiVersion: v1
kind: Service
metadata:
  name: hypno
  namespace: partners
spec:
  ports:
  - port: 8091
    targetPort: 8091
    protocol: TCP
    name: http
  selector:
    app: hypno
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: hypno
  namespace: partners
  annotations:
    kubernetes.io/ingress.class: nginx
    nginx.ingress.kubernetes.io/rewrite-target: /$2
    nginx.ingress.kubernetes.io/proxy-connect-timeout: "30"
    nginx.ingress.kubernetes.io/proxy-read-timeout: "3600"
    nginx.ingress.kubernetes.io/proxy-send-timeout: "3600"
spec:
  rules:
  - http:
      paths:
      - path: /hypno(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: hypno
            port:
              number: 8091
